summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrad Anderson <brad@cloudant.com>2010-08-20 11:05:21 -0400
committerBrad Anderson <brad@cloudant.com>2010-08-20 11:05:21 -0400
commite3f8001e5c6621d9942fc3832306d1b85f57e503 (patch)
tree90b86831280485fb01d89be1b4d5841eb7f66dcc
parente311c23480bb3a8246fd12510d63c3fb66164470 (diff)
a bit more cleanup of root dir
-rw-r--r--apps/couch/c_src/spawnkillable/couchspawnkillable_win.c (renamed from src/couchdb/priv/spawnkillable/couchspawnkillable_win.c)0
-rw-r--r--bin/couchdb.bat.tpl.in26
-rw-r--r--bin/couchdb.tpl.in330
-rw-r--r--bin/couchjs.tpl.in92
-rw-r--r--etc/couchdb/default.ini.tpl.in124
-rw-r--r--etc/couchdb/local.ini45
-rw-r--r--etc/default/couchdb7
-rw-r--r--etc/init/couchdb.tpl.in168
-rw-r--r--etc/launchd/org.apache.couchdb.plist.tpl.in30
-rw-r--r--etc/logrotate.d/couchdb.tpl.in9
-rw-r--r--etc/windows/README.txt.tpl29
-rw-r--r--etc/windows/couchdb.iss.tpl84
12 files changed, 0 insertions, 944 deletions
diff --git a/src/couchdb/priv/spawnkillable/couchspawnkillable_win.c b/apps/couch/c_src/spawnkillable/couchspawnkillable_win.c
index 06782315..06782315 100644
--- a/src/couchdb/priv/spawnkillable/couchspawnkillable_win.c
+++ b/apps/couch/c_src/spawnkillable/couchspawnkillable_win.c
diff --git a/bin/couchdb.bat.tpl.in b/bin/couchdb.bat.tpl.in
deleted file mode 100644
index 48d78513..00000000
--- a/bin/couchdb.bat.tpl.in
+++ /dev/null
@@ -1,26 +0,0 @@
-@echo off
-rem Licensed under the Apache License, Version 2.0 (the "License"); you may not
-rem use this file except in compliance with the License. You may obtain a copy
-rem of the License at
-rem
-rem http://www.apache.org/licenses/LICENSE-2.0
-rem
-rem Unless required by applicable law or agreed to in writing, software
-rem distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
-rem WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
-rem License for the specific language governing permissions and limitations
-rem under the License.
-
-setlocal
-rem First change to the drive with the erlang bin directory
-%~d0
-rem then change to the erlang bin directory
-cd %~dp0
-
-rem Allow a different erlang executable (eg, erl) to be used.
-rem When using erl instead of werl, server restarts during test runs can fail
-rem intermittently. But using erl should be fine for production use.
-if "%ERL%x" == "x" set ERL=werl.exe
-
-echo CouchDB %version% - prepare to relax...
-%ERL% -sasl errlog_type error -s couch
diff --git a/bin/couchdb.tpl.in b/bin/couchdb.tpl.in
deleted file mode 100644
index 94d47439..00000000
--- a/bin/couchdb.tpl.in
+++ /dev/null
@@ -1,330 +0,0 @@
-#! /bin/sh -e
-
-# Licensed under the Apache License, Version 2.0 (the "License"); you may not
-# use this file except in compliance with the License. You may obtain a copy of
-# the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
-# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
-# License for the specific language governing permissions and limitations under
-# the License.
-
-BACKGROUND=false
-DEFAULT_CONFIG_DIR=%localconfdir%/default.d
-DEFAULT_CONFIG_FILE=%localconfdir%/%defaultini%
-ERL_START_OPTIONS="-sasl errlog_type error +K true +A 4"
-HEART_BEAT_TIMEOUT=11
-HEART_COMMAND="%bindir%/%couchdb_command_name% -k"
-INTERACTIVE=false
-KILL=false
-LOCAL_CONFIG_DIR=%localconfdir%/local.d
-LOCAL_CONFIG_FILE=%localconfdir%/%localini%
-PID_FILE=%localstatedir%/run/couchdb/couchdb.pid
-RECURSED=false
-RESET_CONFIG=true
-RESPAWN_TIMEOUT=0
-SCRIPT_ERROR=1
-SCRIPT_OK=0
-SHUTDOWN=false
-STDERR_FILE=couchdb.stderr
-STDOUT_FILE=couchdb.stdout
-
-print_arguments=""
-start_arguments=""
-background_start_arguments=""
-
-basename=`basename $0`
-
-display_version () {
- cat << EOF
-$basename - %package_name% %version%
-
-Licensed under the Apache License, Version 2.0 (the "License"); you may not use
-this file except in compliance with the License. You may obtain a copy of the
-License at
-
- http://www.apache.org/licenses/LICENSE-2.0
-
-Unless required by applicable law or agreed to in writing, software distributed
-under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
-CONDITIONS OF ANY KIND, either express or implied. See the License for the
-specific language governing permissions and limitations under the License.
-
-EOF
-}
-
-display_help () {
- cat << EOF
-Usage: $basename [OPTION]
-
-The $basename command runs the %package_name% server.
-
-Erlang is called with:
-
- $ERL_START_OPTIONS
-
-Erlang inherits the environment of this command.
-
-You can override these options using the environment:
-
- ERL_AFLAGS, ERL_FLAGS, ERL_ZFLAGS
-
-See erl(1) for more information about the environment variables.
-
-The exit status is 0 for success or 1 for failure.
-
-Options:
-
- -h display a short help message and exit
- -V display version information and exit
- -a FILE add configuration FILE to chain
- -A DIR add configuration DIR to chain
- -n reset configuration file chain (including system default)
- -c print configuration file chain and exit
- -i use the interactive Erlang shell
- -b spawn as a background process
- -p FILE set the background PID FILE (overrides system default)
- -r SECONDS respawn background process after SECONDS (defaults to no respawn)
- -o FILE redirect background stdout to FILE (defaults to $STDOUT_FILE)
- -e FILE redirect background stderr to FILE (defaults to $STDERR_FILE)
- -s display the status of the background process
- -k kill the background process, will respawn if needed
- -d shutdown the background process
-
-Report bugs at <%bug_uri%>.
-EOF
-}
-
-display_error () {
- if test -n "$1"; then
- echo $1 >&2
- fi
- echo >&2
- echo "Try \`"$basename" -h' for more information." >&2
- false
-}
-
-_get_pid () {
- if test -f $PID_FILE; then
- PID=`cat $PID_FILE`
- fi
- echo $PID
-}
-
-_add_config_file () {
- if test -z "$print_arguments"; then
- print_arguments="$1"
- else
- print_arguments="`cat <<EOF
-$print_arguments
-$1
-EOF
-`"
- fi
- start_arguments="$start_arguments $1"
- background_start_arguments="$background_start_arguments -a $1"
-}
-
-_add_config_dir () {
- for file in "$1"/*.ini; do
- if [ -r "$file" ]; then
- _add_config_file "$file"
- fi
- done
-}
-
-_load_config () {
- _add_config_file "$DEFAULT_CONFIG_FILE"
- _add_config_dir "$DEFAULT_CONFIG_DIR"
- _add_config_file "$LOCAL_CONFIG_FILE"
- _add_config_dir "$LOCAL_CONFIG_DIR"
-}
-
-_reset_config () {
- print_arguments=""
- start_arguments=""
- background_start_arguments="-n"
-}
-
-_print_config () {
- cat <<EOF
-$print_arguments
-EOF
-}
-
-check_status () {
- PID=`_get_pid`
- if test -n "$PID"; then
- if kill -0 $PID 2> /dev/null; then
- echo "Apache CouchDB is running as process $PID, time to relax."
- return $SCRIPT_OK
- else
- echo >&2 << EOF
-Apache CouchDB is not running but a stale PID file exists: $PID_FILE"
-EOF
- fi
- else
- echo "Apache CouchDB is not running." >&2
- fi
- return $SCRIPT_ERROR
-}
-
-check_environment () {
- if test "$BACKGROUND" != "true"; then
- return
- fi
- touch $PID_FILE 2> /dev/null || true
- touch $STDOUT_FILE 2> /dev/null || true
- touch $STDERR_FILE 2> /dev/null || true
- message_prefix="Apache CouchDB needs write permission on the"
- if test ! -w $PID_FILE; then
- echo "$message_prefix PID file: $PID_FILE" >&2
- false
- fi
- if test ! -w $STDOUT_FILE; then
- echo "$message_prefix STDOUT file: $STDOUT_FILE" >&2
- false
- fi
- if test ! -w $STDERR_FILE; then
- echo "$message_prefix STDERR file: $STDERR_FILE" >&2
- false
- fi
- message_prefix="Apache CouchDB needs a regular"
- if test `echo 2> /dev/null >> $PID_FILE; echo $?` -gt 0; then
- echo "$message_prefix PID file: $PID_FILE" >&2
- false
- fi
- if test `echo 2> /dev/null >> $STDOUT_FILE; echo $?` -gt 0; then
- echo "$message_prefix STDOUT file: $STDOUT_FILE" >&2
- false
- fi
- if test `echo 2> /dev/null >> $STDERR_FILE; echo $?` -gt 0; then
- echo "$message_prefix STDERR file: $STDERR_FILE" >&2
- false
- fi
-}
-
-start_couchdb () {
- if test ! "$RECURSED" = "true"; then
- if check_status 2> /dev/null; then
- exit
- fi
- check_environment
- fi
- interactive_option="+Bd -noinput"
- if test "$INTERACTIVE" = "true"; then
- interactive_option=""
- fi
- if test "$BACKGROUND" = "true"; then
- touch $PID_FILE
- interactive_option="+Bd -noinput"
- fi
- command="%ERL% $interactive_option $ERL_START_OPTIONS \
- -env ERL_LIBS %localerlanglibdir% -couch_ini $start_arguments -s couch"
- if test "$BACKGROUND" = "true" -a "$RECURSED" = "false"; then
- $0 $background_start_arguments -b -r $RESPAWN_TIMEOUT -p $PID_FILE \
- -o $STDOUT_FILE -e $STDERR_FILE -R &
- echo "Apache CouchDB has started, time to relax."
- else
- if test "$RECURSED" = "true"; then
- while true; do
- export HEART_COMMAND
- export HEART_BEAT_TIMEOUT
- `eval $command -pidfile $PID_FILE -heart \
- >> $STDOUT_FILE 2>> $STDERR_FILE` || true
- PID=`_get_pid`
- if test -n "$PID"; then
- if kill -0 $PID 2> /dev/null; then
- return $SCRIPT_ERROR
- fi
- else
- return $SCRIPT_OK
- fi
- if test "$RESPAWN_TIMEOUT" = "0"; then
- return $SCRIPT_OK
- fi
- if test "$RESPAWN_TIMEOUT" != "1"; then
- plural_ending="s"
- fi
- cat << EOF
-Apache CouchDB crashed, restarting in $RESPAWN_TIMEOUT second$plural_ending.
-EOF
- sleep $RESPAWN_TIMEOUT
- done
- else
- eval exec $command
- fi
- fi
-}
-
-stop_couchdb () {
- PID=`_get_pid`
- if test -n "$PID"; then
- if test "$1" = "false"; then
- echo > $PID_FILE
- fi
- if kill -0 $PID 2> /dev/null; then
- if kill -1 $PID 2> /dev/null; then
- if test "$1" = "false"; then
- echo "Apache CouchDB has been shutdown."
- else
- echo "Apache CouchDB has been killed."
- fi
- return $SCRIPT_OK
- else
- echo "Apache CouchDB could not be killed." >&2
- return $SCRIPT_ERROR
- fi
- if test "$1" = "false"; then
- echo "Stale PID file exists but Apache CouchDB is not running."
- else
- echo "Stale PID file existed but Apache CouchDB is not running."
- fi
- fi
- else
- echo "Apache CouchDB is not running."
- fi
-}
-
-parse_script_option_list () {
- _load_config
- set +e
- options=`getopt hVa:A:ncibp:r:Ro:e:skd $@`
- if test ! $? -eq 0; then
- display_error
- fi
- set -e
- eval set -- $options
- while [ $# -gt 0 ]; do
- case "$1" in
- -h) shift; display_help; exit;;
- -V) shift; display_version; exit;;
- -a) shift; _add_config_file "$1"; shift;;
- -A) shift; _add_config_dir "$1"; shift;;
- -n) shift; _reset_config;;
- -c) shift; _print_config; exit;;
- -i) shift; INTERACTIVE=true;;
- -b) shift; BACKGROUND=true;;
- -r) shift; RESPAWN_TIMEOUT=$1; shift;;
- -R) shift; RECURSED=true;;
- -p) shift; PID_FILE=$1; shift;;
- -o) shift; STDOUT_FILE=$1; shift;;
- -e) shift; STDERR_FILE=$1; shift;;
- -s) shift; check_status; exit;;
- -k) shift; KILL=true;;
- -d) shift; SHUTDOWN=true;;
- --) shift; break;;
- *) display_error "Unknown option: $1" >&2;;
- esac
- done
- if test "$KILL" = "true" -o "$SHUTDOWN" = "true"; then
- stop_couchdb $KILL
- else
- start_couchdb
- fi
-}
-
-parse_script_option_list $@
diff --git a/bin/couchjs.tpl.in b/bin/couchjs.tpl.in
deleted file mode 100644
index 6927a0d4..00000000
--- a/bin/couchjs.tpl.in
+++ /dev/null
@@ -1,92 +0,0 @@
-#! /bin/sh -e
-
-# Licensed under the Apache License, Version 2.0 (the "License"); you may not
-# use this file except in compliance with the License. You may obtain a copy of
-# the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
-# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
-# License for the specific language governing permissions and limitations under
-# the License.
-
-SCRIPT_OK=0
-SCRIPT_ERROR=1
-
-DEFAULT_VERSION=170
-
-basename=`basename $0`
-
-display_version () {
- cat << EOF
-$basename - %package_name% %version%
-
-Licensed under the Apache License, Version 2.0 (the "License"); you may not use
-this file except in compliance with the License. You may obtain a copy of the
-License at
-
- http://www.apache.org/licenses/LICENSE-2.0
-
-Unless required by applicable law or agreed to in writing, software distributed
-under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
-CONDITIONS OF ANY KIND, either express or implied. See the License for the
-specific language governing permissions and limitations under the License.
-EOF
-}
-
-display_help () {
- cat << EOF
-Usage: $basename [FILE]
-
-The $basename command runs the %package_name% JavaScript interpreter.
-
-The exit status is 0 for success or 1 for failure.
-
-Options:
-
- -h display a short help message and exit
- -V display version information and exit
-
-Report bugs at <%bug_uri%>.
-EOF
-}
-
-display_error () {
- if test -n "$1"; then
- echo $1 >&2
- fi
- echo >&2
- echo "Try \`"$basename" -h' for more information." >&2
- exit $SCRIPT_ERROR
-}
-
-run_couchjs () {
- exec %locallibbindir%/%couchjs_command_name% $@
-}
-
-parse_script_option_list () {
- set +e
- options=`getopt hV $@`
- if test ! $? -eq 0; then
- display_error
- fi
- set -e
- eval set -- $options
- while [ $# -gt 0 ]; do
- case "$1" in
- -h) shift; display_help; exit $SCRIPT_OK;;
- -V) shift; display_version; exit $SCRIPT_OK;;
- --) shift; break;;
- *) break;;
- esac
- done
- option_list=`echo $@ | sed 's/--//'`
- if test -z "$option_list"; then
- display_error "You must specify a FILE."
- fi
- run_couchjs $option_list
-}
-
-parse_script_option_list $@
diff --git a/etc/couchdb/default.ini.tpl.in b/etc/couchdb/default.ini.tpl.in
deleted file mode 100644
index 6b70777e..00000000
--- a/etc/couchdb/default.ini.tpl.in
+++ /dev/null
@@ -1,124 +0,0 @@
-; @configure_input@
-
-; Upgrading CouchDB will overwrite this file.
-
-[couchdb]
-database_dir = %localstatelibdir%
-view_index_dir = %localstatelibdir%
-util_driver_dir = %couchprivlibdir%
-max_document_size = 4294967296 ; 4 GB
-max_attachment_chunk_size = 4294967296 ; 4GB
-os_process_timeout = 5000 ; 5 seconds. for view and external servers.
-max_dbs_open = 100
-delayed_commits = true ; set this to false to ensure an fsync before 201 Created is returned
-uri_file = %localstatelibdir%/couch.uri
-
-[httpd]
-port = 5984
-bind_address = 127.0.0.1
-max_connections = 2048
-authentication_handlers = {couch_httpd_oauth, oauth_authentication_handler}, {couch_httpd_auth, cookie_authentication_handler}, {couch_httpd_auth, default_authentication_handler}
-default_handler = {couch_httpd_db, handle_request}
-secure_rewrites = true
-vhost_global_handlers = _utils, _uuids, _session, _oauth, _users
-allow_jsonp = false
-
-[log]
-file = %localstatelogdir%/couch.log
-level = info
-include_sasl = true
-
-[couch_httpd_auth]
-authentication_db = _users
-authentication_redirect = /_utils/session.html
-require_valid_user = false
-timeout = 600 ; number of seconds before automatic logout
-auth_cache_size = 50 ; size is number of cache entries
-
-[query_servers]
-javascript = %bindir%/%couchjs_command_name% %localbuilddatadir%/server/main.js
-
-; Changing reduce_limit to false will disable reduce_limit.
-; If you think you're hitting reduce_limit with a "good" reduce function,
-; please let us know on the mailing list so we can fine tune the heuristic.
-[query_server_config]
-reduce_limit = true
-
-; enable external as an httpd handler, then link it with commands here.
-; note, this api is still under consideration.
-; [external]
-; mykey = /path/to/mycommand
-
-[daemons]
-view_manager={couch_view, start_link, []}
-external_manager={couch_external_manager, start_link, []}
-db_update_notifier={couch_db_update_notifier_sup, start_link, []}
-query_servers={couch_query_servers, start_link, []}
-httpd={couch_httpd, start_link, []}
-stats_aggregator={couch_stats_aggregator, start, []}
-stats_collector={couch_stats_collector, start, []}
-uuids={couch_uuids, start, []}
-auth_cache={couch_auth_cache, start_link, []}
-
-[httpd_global_handlers]
-/ = {couch_httpd_misc_handlers, handle_welcome_req, <<"Welcome">>}
-favicon.ico = {couch_httpd_misc_handlers, handle_favicon_req, "%localdatadir%/www"}
-
-_utils = {couch_httpd_misc_handlers, handle_utils_dir_req, "%localdatadir%/www"}
-_all_dbs = {couch_httpd_misc_handlers, handle_all_dbs_req}
-_active_tasks = {couch_httpd_misc_handlers, handle_task_status_req}
-_config = {couch_httpd_misc_handlers, handle_config_req}
-_replicate = {couch_httpd_misc_handlers, handle_replicate_req}
-_uuids = {couch_httpd_misc_handlers, handle_uuids_req}
-_restart = {couch_httpd_misc_handlers, handle_restart_req}
-_stats = {couch_httpd_stats_handlers, handle_stats_req}
-_log = {couch_httpd_misc_handlers, handle_log_req}
-_session = {couch_httpd_auth, handle_session_req}
-_oauth = {couch_httpd_oauth, handle_oauth_req}
-
-[httpd_db_handlers]
-_view_cleanup = {couch_httpd_db, handle_view_cleanup_req}
-_compact = {couch_httpd_db, handle_compact_req}
-_design = {couch_httpd_db, handle_design_req}
-_temp_view = {couch_httpd_view, handle_temp_view_req}
-_changes = {couch_httpd_db, handle_changes_req}
-
-; The external module takes an optional argument allowing you to narrow it to a
-; single script. Otherwise the script name is inferred from the first path section
-; after _external's own path.
-; _mypath = {couch_httpd_external, handle_external_req, <<"mykey">>}
-; _external = {couch_httpd_external, handle_external_req}
-
-[httpd_design_handlers]
-_view = {couch_httpd_view, handle_view_req}
-_show = {couch_httpd_show, handle_doc_show_req}
-_list = {couch_httpd_show, handle_view_list_req}
-_info = {couch_httpd_db, handle_design_info_req}
-_rewrite = {couch_httpd_rewrite, handle_rewrite_req}
-_update = {couch_httpd_show, handle_doc_update_req}
-
-[uuids]
-; Known algorithms:
-; random - 128 bits of random awesome
-; All awesome, all the time.
-; sequential - monotonically increasing ids with random increments
-; First 26 hex characters are random. Last 6 increment in
-; random amounts until an overflow occurs. On overflow, the
-; random prefix is regenerated and the process starts over.
-; utc_random - Time since Jan 1, 1970 UTC with microseconds
-; First 14 characters are the time in hex. Last 18 are random.
-algorithm = sequential
-
-[stats]
-; rate is in milliseconds
-rate = 1000
-; sample intervals are in seconds
-samples = [0, 60, 300, 900]
-
-[attachments]
-compression_level = 8 ; from 1 (lowest, fastest) to 9 (highest, slowest), 0 to disable compression
-compressible_types = text/*, application/javascript, application/json, application/xml
-
-[replicator]
-max_http_sessions = 10
-max_http_pipeline_size = 10 \ No newline at end of file
diff --git a/etc/couchdb/local.ini b/etc/couchdb/local.ini
deleted file mode 100644
index f20b197a..00000000
--- a/etc/couchdb/local.ini
+++ /dev/null
@@ -1,45 +0,0 @@
-; CouchDB Configuration Settings
-
-; Custom settings should be made in this file. They will override settings
-; in default.ini, but unlike changes made to default.ini, this file won't be
-; overwritten on server upgrade.
-
-[couchdb]
-;max_document_size = 4294967296 ; bytes
-
-[httpd]
-;port = 5984
-;bind_address = 127.0.0.1
-; Uncomment next line to trigger basic-auth popup on unauthorized requests.
-;WWW-Authenticate = Basic realm="administrator"
-
-[couch_httpd_auth]
-; If you set this to true, you should also uncomment the WWW-Authenticate line
-; above. If you don't configure a WWW-Authenticate header, CouchDB will send
-; Basic realm="server" in order to prevent you getting logged out.
-; require_valid_user = false
-
-[log]
-;level = debug
-
-
-; To enable Virtual Hosts in CouchDB, add a vhost = path directive. All requests to
-; the Virual Host will be redirected to the path. In the example below all requests
-; to http://example.com/ are redirected to /database.
-; If you run CouchDB on a specific port, include the port number in the vhost:
-; example.com:5984 = /database
-
-[vhosts]
-;example.com = /database/
-
-[update_notification]
-;unique notifier name=/full/path/to/exe -with "cmd line arg"
-
-; To create an admin account uncomment the '[admins]' section below and add a
-; line in the format 'username = password'. When you next start CouchDB, it
-; will change the password to a hash (so that your passwords don't linger
-; around in plain-text files). You can add more admin accounts with more
-; 'username = password' lines. Don't forget to restart CouchDB after
-; changing this.
-[admins]
-;admin = mysecretpassword
diff --git a/etc/default/couchdb b/etc/default/couchdb
deleted file mode 100644
index c2a3f2ae..00000000
--- a/etc/default/couchdb
+++ /dev/null
@@ -1,7 +0,0 @@
-# Sourced by init script for configuration.
-
-COUCHDB_USER=couchdb
-COUCHDB_STDOUT_FILE=/dev/null
-COUCHDB_STDERR_FILE=/dev/null
-COUCHDB_RESPAWN_TIMEOUT=5
-COUCHDB_OPTIONS=
diff --git a/etc/init/couchdb.tpl.in b/etc/init/couchdb.tpl.in
deleted file mode 100644
index 3b8d17ea..00000000
--- a/etc/init/couchdb.tpl.in
+++ /dev/null
@@ -1,168 +0,0 @@
-#!/bin/sh -e
-
-# Licensed under the Apache License, Version 2.0 (the "License"); you may not
-# use this file except in compliance with the License. You may obtain a copy of
-# the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
-# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
-# License for the specific language governing permissions and limitations under
-# the License.
-
-### BEGIN INIT INFO
-# Provides: couchdb
-# Required-Start: $local_fs $remote_fs
-# Required-Stop: $local_fs $remote_fs
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: Apache CouchDB init script
-# Description: Apache CouchDB init script for the database server.
-### END INIT INFO
-
-SCRIPT_OK=0
-SCRIPT_ERROR=1
-
-DESCRIPTION="database server"
-NAME=couchdb
-SCRIPT_NAME=`basename $0`
-COUCHDB=%bindir%/%couchdb_command_name%
-CONFIGURATION_FILE=%sysconfdir%/default/couchdb
-RUN_DIR=%localstaterundir%
-LSB_LIBRARY=/lib/lsb/init-functions
-
-if test ! -x $COUCHDB; then
- exit $SCRIPT_ERROR
-fi
-
-if test -r $CONFIGURATION_FILE; then
- . $CONFIGURATION_FILE
-fi
-
-log_daemon_msg () {
- # Dummy function to be replaced by LSB library.
-
- echo $@
-}
-
-log_end_msg () {
- # Dummy function to be replaced by LSB library.
-
- if test "$1" != "0"; then
- echo "Error with $DESCRIPTION: $NAME"
- fi
- return $1
-}
-
-if test -r $LSB_LIBRARY; then
- . $LSB_LIBRARY
-fi
-
-start_couchdb () {
- # Start Apache CouchDB as a background process.
-
- command="$COUCHDB -b"
- if test -n "$COUCHDB_STDOUT_FILE"; then
- command="$command -o $COUCHDB_STDOUT_FILE"
- fi
- if test -n "$COUCHDB_STDERR_FILE"; then
- command="$command -e $COUCHDB_STDERR_FILE"
- fi
- if test -n "$COUCHDB_RESPAWN_TIMEOUT"; then
- command="$command -r $COUCHDB_RESPAWN_TIMEOUT"
- fi
- if test -n "$COUCHDB_OPTIONS"; then
- command="$command $COUCHDB_OPTIONS"
- fi
- mkdir -p "$RUN_DIR"
- if test -n "$COUCHDB_USER"; then
- chown $COUCHDB_USER "$RUN_DIR"
- if su $COUCHDB_USER -c "$command" > /dev/null; then
- return $SCRIPT_OK
- else
- return $SCRIPT_ERROR
- fi
- else
- if $command > /dev/null; then
- return $SCRIPT_OK
- else
- return $SCRIPT_ERROR
- fi
- fi
-}
-
-stop_couchdb () {
- # Stop the running Apache CouchDB process.
-
- command="$COUCHDB -d"
- if test -n "$COUCHDB_OPTIONS"; then
- command="$command $COUCHDB_OPTIONS"
- fi
- if test -n "$COUCHDB_USER"; then
- if su $COUCHDB_USER -c "$command" > /dev/null; then
- return $SCRIPT_OK
- else
- return $SCRIPT_ERROR
- fi
- else
- if $command > /dev/null; then
- return $SCRIPT_OK
- else
- return $SCRIPT_ERROR
- fi
- fi
-}
-
-display_status () {
- # Display the status of the running Apache CouchDB process.
-
- $COUCHDB -s
-}
-
-parse_script_option_list () {
- # Parse arguments passed to the script and take appropriate action.
-
- case "$1" in
- start)
- log_daemon_msg "Starting $DESCRIPTION" $NAME
- if start_couchdb; then
- log_end_msg $SCRIPT_OK
- else
- log_end_msg $SCRIPT_ERROR
- fi
- ;;
- stop)
- log_daemon_msg "Stopping $DESCRIPTION" $NAME
- if stop_couchdb; then
- log_end_msg $SCRIPT_OK
- else
- log_end_msg $SCRIPT_ERROR
- fi
- ;;
- restart)
- log_daemon_msg "Restarting $DESCRIPTION" $NAME
- if stop_couchdb; then
- if start_couchdb; then
- log_end_msg $SCRIPT_OK
- else
- log_end_msg $SCRIPT_ERROR
- fi
- else
- log_end_msg $SCRIPT_ERROR
- fi
- ;;
- status)
- display_status
- ;;
- *)
- cat << EOF >&2
-Usage: $SCRIPT_NAME {start|stop|restart|status}
-EOF
- exit $SCRIPT_ERROR
- ;;
- esac
-}
-
-parse_script_option_list $@
diff --git a/etc/launchd/org.apache.couchdb.plist.tpl.in b/etc/launchd/org.apache.couchdb.plist.tpl.in
deleted file mode 100644
index c72f3480..00000000
--- a/etc/launchd/org.apache.couchdb.plist.tpl.in
+++ /dev/null
@@ -1,30 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN"
- "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
-<plist version="1.0">
- <dict>
- <key>Label</key>
- <string>org.apache.couchdb</string>
- <key>EnvironmentVariables</key>
- <dict>
- <key>HOME</key>
- <string>~</string>
- <key>DYLD_LIBRARY_PATH</key>
- <string>/opt/local/lib:$DYLD_LIBRARY_PATH</string>
- </dict>
- <key>ProgramArguments</key>
- <array>
- <string>%bindir%/%couchdb_command_name%</string>
- </array>
- <key>UserName</key>
- <string>couchdb</string>
- <key>StandardOutPath</key>
- <string>/dev/null</string>
- <key>StandardErrorPath</key>
- <string>/dev/null</string>
- <key>RunAtLoad</key>
- <true/>
- <key>KeepAlive</key>
- <true/>
- </dict>
-</plist>
diff --git a/etc/logrotate.d/couchdb.tpl.in b/etc/logrotate.d/couchdb.tpl.in
deleted file mode 100644
index 0bb07e13..00000000
--- a/etc/logrotate.d/couchdb.tpl.in
+++ /dev/null
@@ -1,9 +0,0 @@
-%localstatelogdir%/*.log {
- weekly
- rotate 10
- copytruncate
- delaycompress
- compress
- notifempty
- missingok
-}
diff --git a/etc/windows/README.txt.tpl b/etc/windows/README.txt.tpl
deleted file mode 100644
index 791bcc85..00000000
--- a/etc/windows/README.txt.tpl
+++ /dev/null
@@ -1,29 +0,0 @@
-This is the README for the %package_name% binary distribution for
-Windows, version %version%.
-
-* Although CouchDB defaults to installing into your "Program Files" directory,
- the permissions on the 'var' and 'etc' sub-directories have been adjusted
- to allow modification by any authorized user so the couchdb databases, logs
- and .ini files can be written. You may like to further restrict these
- permissions to only the user who will be running couchdb.
-
-* The installer offers to install CouchDB as a Windows Service. If you select
- this option, the service will run as the "LocalSystem" user and be
- configured to start automatically. You can configure the service properties
- via the Windows 'Services' applet.
-
-* To start CouchDB in a "console" environment, execute couchdb.bat in the
- 'bin' directory. A shortcut to this batch file should have been installed.
- Don't try and start couchdb this way if the service is running - it will
- fail.
-
-* The Futon application which comes with CouchDB does not work with
- Internet Explorer - Mozilla Firefox is generally recommended.
-
-* The test suite is known to fail on Windows due to what appear to be
- permissions errors; this is due to couch being unable to delete a
- file while it is in use on Windows.
- See also https://issues.apache.org/jira/browse/COUCHDB-326
-
-* Additional help with the Windows support is needed - please contact the
- couchdb-dev list if you can help.
diff --git a/etc/windows/couchdb.iss.tpl b/etc/windows/couchdb.iss.tpl
deleted file mode 100644
index 6efee0aa..00000000
--- a/etc/windows/couchdb.iss.tpl
+++ /dev/null
@@ -1,84 +0,0 @@
-; Licensed under the Apache License, Version 2.0 (the "License"); you may not
-; use this file except in compliance with the License. You may obtain a copy of
-; the License at
-;
-; http://www.apache.org/licenses/LICENSE-2.0
-;
-; Unless required by applicable law or agreed to in writing, software
-; distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
-; WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
-; License for the specific language governing permissions and limitations under
-; the License.
-
-; CouchDB inno installer script
-; %configure_input%
-
-[Setup]
-AppID=ApacheCouchDB
-AppName=%package_name%
-AppVerName=%package_name% %version%
-AppPublisher=Apache Software Foundation
-AppPublisherURL=http://couchdb.apache.org/
-LicenseFile=../../LICENSE
-DefaultDirName={pf}\Apache Software Foundation\CouchDB
-DefaultGroupName=%package_name%
-OutputBaseFilename=setup-couchdb-%version%
-OutputDir=.
-
-[Files]
-Source: "%locallibbindir%\..\*.*"; DestDir: "{app}"; Flags: ignoreversion uninsrestartdelete restartreplace
-; bin dir
-Source: "%locallibbindir%\*.*"; DestDir: "{app}\bin"; Flags: ignoreversion uninsrestartdelete restartreplace recursesubdirs
-; other dirs copied '*.*'
-Source: "%locallibbindir%\..\erts-%erts_version%\*.*"; DestDir: "{app}\erts-%erts_version%"; Flags: ignoreversion uninsrestartdelete restartreplace recursesubdirs
-Source: "%locallibbindir%\..\lib\*.*"; DestDir: "{app}\lib"; Flags: ignoreversion uninsrestartdelete restartreplace recursesubdirs
-Source: "%locallibbindir%\..\share\*.*"; DestDir: "{app}\share"; Flags: ignoreversion uninsrestartdelete restartreplace recursesubdirs
-Source: "%locallibbindir%\..\releases\*.*"; DestDir: "{app}\releases"; Flags: ignoreversion uninsrestartdelete restartreplace recursesubdirs
-; skip ./usr, ./var
-
-; custom stuff...
-; ./etc/default.ini is unconditional
-Source: "%locallibbindir%\..\etc\couchdb\default.ini"; DestDir: "{app}\etc\couchdb"; Flags: ignoreversion uninsrestartdelete restartreplace
-; ./etc/local.ini is preserved and should not be updated if it exists
-Source: "%locallibbindir%\..\etc\couchdb\local.ini"; DestDir: "{app}\etc\couchdb"; Flags: onlyifdoesntexist uninsneveruninstall
-; readme
-Source: "README.txt"; DestDir: "{app}"; Flags: isreadme
-
-; msvc redists - see comments in configure.ac for notes about these...
-; ( deleteafterinstall - not needed - {tmp} auto cleaned????
-Source: "%msvc_redist_dir%\%msvc_redist_name%"; DestDir: "{tmp}"; Flags: deleteafterinstall
-
-; These are erlang requirements and not copied by our makefiles.
-Source: "%openssl_bin_dir%\ssleay32.dll"; DestDir: "{app}\bin"; Flags: ignoreversion uninsrestartdelete restartreplace
-Source: "%openssl_bin_dir%\libeay32.dll"; DestDir: "{app}\bin"; Flags: ignoreversion uninsrestartdelete restartreplace
-
-[Dirs]
-Name: "{app}\var\lib\couchdb"; Permissions: authusers-modify
-Name: "{app}\var\log\couchdb"; Permissions: authusers-modify
-Name: "{app}\etc\couchdb"; Permissions: authusers-modify
-
-[Icons]
-Name: "{group}\Start CouchDB"; Filename: "{app}\bin\couchdb.bat"
-Name: "{group}\Futon (CouchDB web interface)"; Filename: "http://127.0.0.1:5984/_utils"
-Name: "{group}\CouchDB Web Site"; Filename: "http://couchdb.apache.org/"
-
-[Tasks]
-Name: service; Description: "Install couchdb as a Windows service"
-Name: service\start; Description: "Start the service after installation"
-
-[Run]
-Filename: "{tmp}\%msvc_redist_name%"; Parameters: "/q"
-; This is erlang's Install.exe which updates erl.ini correctly.
-Filename: "{app}\Install.exe"; Parameters: "-s"; Flags: runhidden
-
-; Commands for a service
-; First attempt to nuke an existing service of this name, incase they are
-; reinstalling without uninstalling
-Filename: "{app}\erts-%erts_version%\bin\erlsrv.exe"; Parameters: "remove ""%package_name%"""; Tasks: service
-; add a new one
-Filename: "{app}\erts-%erts_version%\bin\erlsrv.exe"; Parameters: "add ""%package_name%"" -w ""{app}\bin"" -ar ""-sasl errlog_type error -s couch"" -c ""%package_name% %version%"""; Tasks: service
-; and start it if requested
-Filename: "{app}\erts-%erts_version%\bin\erlsrv.exe"; Parameters: "start ""%package_name%"""; Tasks: service\start
-
-[UninstallRun]
-Filename: "{app}\erts-%erts_version%\bin\erlsrv.exe"; Parameters: "remove ""%package_name%"""; Tasks: service